<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/widget_commun');

/*
 * Extraire l'id
 * Exemple : <iframe width='320' height='180' src='https://terra.developpement-durable.gouv.fr/LaMediatheque-Video/embed/370164' frameborder='0' allowfullscreen></iframe>
 */
function ci_videoterra_id($code){
    $return = '';
    if (empty($code)){
        return '';
    }
    
    $debut = strpos($code,"src='https://terra.developpement-durable.gouv.fr/LaMediatheque-Video/embed/");
    
    if ($debut>0){
        $extrait = substr($code,$debut+75);
        $fin = strpos($extrait,"'");
        if ($fin>0){
            $extrait = substr($extrait, 0, $fin);
            $extrait = str_replace('public/','',$extrait);
            $return = strval(intval($extrait));
        }
    }    
    
    return $return;
}

function ci_videoterra_hauteur($largeur){
    return round( $largeur / 320 ) * 180;
}

?>